## type-handling 0.1.0

=== debian/changelog ===
type-handling (0.1.0) unstable; urgency=low

  * Implement negated cpus, systems and types (not+*).

 -- Robert Millan <rmh@debian.org>  Mon, 29 Dec 2003 12:55:13 +0100

type-handling (0.0.0) unstable; urgency=low

  * Initial Release. (Closes: #221075)

 -- Robert Millan <rmh@debian.org>  Tue, 18 Nov 2003 15:39:25 +0100
