=== debian/control ===
Source: type-handling
Section: base
Priority: optional
Maintainer: Robert Millan <rmh@debian.org>
Build-Depends: cdbs, debhelper (>> 4.1.0)
Standards-Version: 3.5.8

Package: type-handling
Architecture: any
Provides: i386, linux-gnu, i386-linux-gnu, not+alpha, not+arm, not+hppa, not+ia64, not+m68k, not+mips, not+mipsel, not+powerpc, not+s390, not+s390x, not+sh3, not+sh3eb, not+sh4, not+sh4eb, not+sparc, not+sparc64, not+darwin, not+freebsd, not+gnu, not+netbsdelf-gnu, not+openbsd, not+alpha-darwin, not+alpha-freebsd, not+alpha-gnu, not+alpha-netbsdelf-gnu, not+alpha-openbsd, not+arm-darwin, not+arm-freebsd, not+arm-gnu, not+arm-netbsdelf-gnu, not+arm-openbsd, not+hppa-darwin, not+hppa-freebsd, not+hppa-gnu, not+hppa-netbsdelf-gnu, not+hppa-openbsd, not+ia64-darwin, not+ia64-freebsd, not+ia64-gnu, not+ia64-netbsdelf-gnu, not+ia64-openbsd, not+m68k-darwin, not+m68k-freebsd, not+m68k-gnu, not+m68k-netbsdelf-gnu, not+m68k-openbsd, not+mips-darwin, not+mips-freebsd, not+mips-gnu, not+mips-netbsdelf-gnu, not+mips-openbsd, not+mipsel-darwin, not+mipsel-freebsd, not+mipsel-gnu, not+mipsel-netbsdelf-gnu, not+mipsel-openbsd, not+powerpc-darwin, not+powerpc-freebsd, not+powerpc-gnu, not+powerpc-netbsdelf-gnu, not+powerpc-openbsd, not+s390-darwin, not+s390-freebsd, not+s390-gnu, not+s390-netbsdelf-gnu, not+s390-openbsd, not+s390x-darwin, not+s390x-freebsd, not+s390x-gnu, not+s390x-netbsdelf-gnu, not+s390x-openbsd, not+sh3-darwin, not+sh3-freebsd, not+sh3-gnu, not+sh3-netbsdelf-gnu, not+sh3-openbsd, not+sh3eb-darwin, not+sh3eb-freebsd, not+sh3eb-gnu, not+sh3eb-netbsdelf-gnu, not+sh3eb-openbsd, not+sh4-darwin, not+sh4-freebsd, not+sh4-gnu, not+sh4-netbsdelf-gnu, not+sh4-openbsd, not+sh4eb-darwin, not+sh4eb-freebsd, not+sh4eb-gnu, not+sh4eb-netbsdelf-gnu, not+sh4eb-openbsd, not+sparc-darwin, not+sparc-freebsd, not+sparc-gnu, not+sparc-netbsdelf-gnu, not+sparc-openbsd, not+sparc64-darwin, not+sparc64-freebsd, not+sparc64-gnu, not+sparc64-netbsdelf-gnu, not+sparc64-openbsd
Description: Virtual packages for extending architecture handling
 This package provides virtual packages for extending the architecture
 handling mechanism in dpkg. Their names correspond to the
 DEB_BUILD_GNU_{CPU,SYSTEM,TYPE} variables generated by dpkg-architecture.
 .
 For details, see /usr/share/doc/type-handling/README.Debian.
