## type-handling 0.2.4

=== debian/changelog ===
type-handling (0.2.4) unstable; urgency=low

  * Rewrite iterative boolean logic.
  * Add -r|--reverted option to shorten output strings in some situations
    (only when the maintainer sees fit!).  See README.Debian for details.

 -- Robert Millan <rmh@debian.org>  Wed, 22 Sep 2004 12:44:08 +0200

type-handling (0.2.3) unstable; urgency=low

  * Officialy deprecating the old option.  Rewrite documentation in package
    description and in debian/README.

 -- Robert Millan <rmh@debian.org>  Wed, 18 Aug 2004 16:44:51 +0200

type-handling (0.2.2) unstable; urgency=low

  * Negated generation now works through inclussion instead of exclussion.
    I.e., instead of "!foo !..." it generates an equivalent "bar ...". As a
    consequence, we can use negated lists to generate an Architecture field.

  * Nuke list of negated types (${not_types}) in Provides.  Noone is really
    using it, and this area of functionality is deprecated anyway.

 -- Robert Millan <rmh@debian.org>  Tue, 10 Aug 2004 03:26:22 +0200

type-handling (0.2.1) unstable; urgency=low

  * Pass -f to dpkg-architecture to override environment when converting
    from type to arch.

 -- Robert Millan <rmh@debian.org>  Fri, 30 Jul 2004 19:43:34 +0200

type-handling (0.2.0) unstable; urgency=low

  * Add 'type-handling' script, for generating dpkg internal architecture
    names from cpu-system combinations.

 -- Robert Millan <rmh@debian.org>  Mon, 26 Jul 2004 16:39:44 +0200
