=== debian/control ===
Source: type-handling
Section: base
Priority: optional
Maintainer: Robert Millan <rmh@debian.org>
Build-Depends: cdbs, debhelper (>> 4.1.0)
Standards-Version: 3.5.8

Package: type-handling
Architecture: any
Provides: i386, linux-gnu, i386-linux-gnu, not+alpha, not+arm, not+hppa, not+ia64, not+m68k, not+mips, not+mipsel, not+powerpc, not+s390, not+s390x, not+sh3, not+sh3eb, not+sh4, not+sh4eb, not+sparc, not+sparc64, not+x86_64, not+darwin, not+freebsd, not+gnu, not+kfreebsd-gnu, not+knetbsd-gnu, not+netbsdelf-gnu, not+openbsd
Depends: dpkg-dev
Description: dpkg architecture generation script
 This package provides a script known as "type-handling", whose purpose is
 converting System and CPU combinations into the architecture variable names
 that dpkg can understand.
 .
 For details, see /usr/share/doc/type-handling/README.Debian.
