=== debian/rules ===
--- 
+++ 
@@ -16,15 +16,12 @@
 
 not_cpus := $(shell echo $(cpus) | tr " " "\n" | grep -vx $(DEB_BUILD_GNU_CPU))
 not_systems := $(shell echo $(systems) | tr " " "\n" | grep -vx $(DEB_BUILD_GNU_SYSTEM))
-not_types := $(shell for cpu in $(not_cpus) ; do for system in $(not_systems) ; do echo \
-	$$cpu-$$system ; done ; done)
 
 not_cpus := $(shell for cpu in $(not_cpus) ; do echo -n , not+$$cpu ; done)
 not_systems := $(shell for system in $(not_systems) ; do echo -n , not+$$system ; done)
-not_types := $(shell for type in $(not_types) ; do echo -n , not+$$type ; done)
 
 provides = $(DEB_BUILD_GNU_CPU), $(DEB_BUILD_GNU_SYSTEM), \
-$(DEB_BUILD_GNU_TYPE)$(not_cpus)$(not_systems)$(not_types)
+$(DEB_BUILD_GNU_TYPE)$(not_cpus)$(not_systems)
 
 clean::
 	cat debian/control.in \
