## type-handling 0.2.10

=== debian/changelog ===
type-handling (0.2.10) unstable; urgency=low

  * Actualy not use fucking itself when fucking building the damn thing.
    (Fucking closes: #297269)

 -- Robert Millan <rmh@debian.org>  Sun, 17 Apr 2005 22:21:04 +0200

type-handling (0.2.9) unstable; urgency=low

  * control.in.in: Hardcode build-depend on cdbs (>= 0.4.27-4).  (Closes: #297269)

 -- Robert Millan <rmh@debian.org>  Thu, 14 Apr 2005 19:15:54 +0200

type-handling (0.2.8) unstable; urgency=high

  * Bring back the "Provides:" since some package broke without it.

 -- Robert Millan <rmh@debian.org>  Sun,  3 Apr 2005 14:08:06 +0200

type-handling (0.2.7) unstable; urgency=low

  * Don't use caching when --negated or --reverted were passed.

 -- Robert Millan <rmh@debian.org>  Thu, 17 Mar 2005 11:46:53 +0100

type-handling (0.2.6) unstable; urgency=low

  * Add caching hack to optimise for most common requests (i386:any and
    any:linux).
  * Replace Architecture with Cpu/System in control.in.

 -- Robert Millan <rmh@debian.org>  Mon,  7 Feb 2005 16:47:16 +0100

type-handling (0.2.5) unstable; urgency=low

  * Improvements to "all" / "any" handling:
    - Understand "all" as valid for both cpu and system parameters.  The logic
      is:  If cpu input is "all", output is always "all" regardless of system.
      If system input is "all", do as if system input was "any".
    - When both cpu input and system input are "any", output is just "any", not
      the expansion of all the cpu/system combinations.
    - Optimise "all" / "any" wildcard logic using a case/esac statement.
  * Remove old "Provides:" functionality, which has been deprecated for several
    versions now.  Set Architecture: all in debian/control.in.
  * Use cdbs DEB_AUTO_UPDATE_DEBIAN_CONTROL feature.

 -- Robert Millan <rmh@debian.org>  Tue,  1 Feb 2005 12:17:25 +0100
