=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # This file is PUBLIC DOMAIN. 
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL	= yes
 
 DEB_BUILD_GNU_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
 DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
@@ -24,8 +26,14 @@
 $(DEB_BUILD_GNU_TYPE)$(not_cpus)$(not_systems)
 
 clean::
-	cat debian/control.in \
-		| sed "s%@provides@%$(provides)%g" \
-		> debian/control
+	sed -e "s%@provides@%$(provides)%g" \
+	< debian/control.in.in > debian/control.in
+
+binary/type-handling:: common-install-prehook-arch
+	TYPE_HANDLING_BOOTSTRAP=yes ./type-handling any linux	> "any:linux"
+	TYPE_HANDLING_BOOTSTRAP=yes ./type-handling i386 any	> "i386:any"
+
+clean::
+	rm -f "any:linux" "i386:any"
 
 include /usr/share/cdbs/1/rules/debhelper.mk
