## type-handling 0.2.15

=== debian/changelog ===
type-handling (0.2.15) unstable; urgency=low

  * Don't change build-depends at build time.
  * Bump Standards-Version to 3.6.2.

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  3 Jul 2005 22:33:36 +0200

type-handling (0.2.14) unstable; urgency=low

  * Fixed the mess introduced by the new dpkg-architecture (closes: 
    bug#315761). 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Jun 2005 23:08:24 +0200

type-handling (0.2.13) unstable; urgency=low

  * Change the arguments back to the Debian architectures/cpus instead of
    the GNU ones. The compatibility should be restored.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 22 Jun 2005 02:46:18 +0200

type-handling (0.2.12) unstable; urgency=low

  * Added support for dpkg 1.13. Thanks to Robert Millan for the patch
    (closes: bug#310796).
  * Depends and Build-Depends on dpkg (>= 1.13.9).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Jun 2005 15:30:44 +0200

type-handling (0.2.11) unstable; urgency=low

  * Changed to a team maintained package. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  6 Jun 2005 01:52:22 +0200
