=== debian/control ===
Source: type-handling
Section: base
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>
Build-Depends: debhelper (>= 4.1.0), dpkg-dev (>= 1.13.9)
Standards-Version: 3.6.2

Package: type-handling
Architecture: any
Provides: i386, linux-gnu, i386-linux-gnu, not+ia64, not+alpha, not+amd64, not+arm, not+hppa, not+m32r, not+m68k, not+mips, not+mipsel, not+powerpc, not+ppc64, not+s390, not+s390x, not+sh3, not+sh3eb, not+sh4, not+sh4eb, not+sparc, not+darwin, not+freebsd, not+hurd, not+kfreebsd, not+knetbsd, not+netbsd, not+openbsd
Depends: dpkg-dev (>= 1.13.9)
Description: dpkg architecture generation script
 This package provides a script known as "type-handling", whose purpose is
 converting System and CPU combinations into the architecture variable names
 that dpkg can understand.
 .
 For details, see /usr/share/doc/type-handling/README.Debian.
