## type-handling 0.2.18

=== debian/changelog ===
type-handling (0.2.18) unstable; urgency=low

  * Provides and filters out both the Debian and GNU type/CPU. Should fix
    the problem with type-handling providing not+hurd on GNU/Hurd.
  * Does not provide hurd on GNU/Hurd, as type-handling does not provide 
    the hurd kernel.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 18 Jan 2006 20:29:09 +0100

type-handling (0.2.17) unstable; urgency=low

  [ Peter Eisentraut ]
  * Added man page (closes: #264118), removed README.Debian

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 19 Dec 2005 12:21:15 +0100

type-handling (0.2.16) unstable; urgency=low

  * Added ugly hacks to make type-handling works for amd64 and hurd.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 13 Jul 2005 02:07:57 +0200
