## type-handling 0.2.19

=== debian/changelog ===
type-handling (0.2.19) unstable; urgency=low

  * Don't provide anything containing x86_64, as the underscore symbol is 
    not allowed in packages name.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Jan 2006 12:16:24 +0100
