## type-handling 0.2.21

=== debian/changelog ===
type-handling (0.2.21) unstable; urgency=low

  * Add support for ABI variants like armel.
  * Provide cache for amd64. 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 17 May 2007 19:11:18 +0200

type-handling (0.2.20) unstable; urgency=low

  * Really uses cache, patch by Sjoerd Simons (Closes: bug#424035).
  * Support the new format of /usr/share/dpkg/ostable, patch by Petr
    Salinger (Closes: bug#424041). 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 15 May 2007 23:22:01 +0200
