## type-handling 0.2.23

=== debian/changelog ===
type-handling (0.2.23) unstable; urgency=low

  * Fix type-handling for armel (Closes: bug#455486). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 10 Dec 2007 15:43:31 +0100

type-handling (0.2.22) unstable; urgency=low

  * Replace '_' by '-' in the Provides: line (Closes: bug# 452279). 
  * Bump Standards-Version to 3.7.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 Nov 2007 16:55:49 +0100
