=== debian/control ===
Source: type-handling
Section: devel
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>
Build-Depends: debhelper (>= 4.1.0), dpkg-dev (>= 1.14.0)
Standards-Version: 3.7.2

Package: type-handling
Architecture: any
Provides: linux, amd64, linux-gnu, x86-64-linux-gnu, , not+alpha, not+arm, not+armeb, not+hppa, not+i386, not+i486, not+ia64, not+m32r, not+m68k, not+mips, not+mipsel, not+powerpc, not+powerpc64, not+ppc64, not+s390, not+s390x, not+sh3, not+sh3eb, not+sh4, not+sh4eb, not+sparc, , not+bsd-darwin, not+bsd-freebsd, not+bsd-netbsd, not+bsd-openbsd, not+darwin, not+freebsd, not+gnu, not+gnu-hurd, not+gnu-kfreebsd, not+gnu-knetbsd, not+gnu-linux, not+gnueabi-linux, not+gnulp-linux, not+kfreebsd-gnu, not+knetbsd-gnu, not+linux-gnueabi, not+linux-gnulp, not+netbsd, not+openbsd, not+solaris, not+sysv-solaris
Depends: dpkg-dev (>= 1.14.0)
Description: dpkg architecture generation script
 This package provides a script known as "type-handling", whose purpose is
 converting System and CPU combinations into the architecture variable names
 that dpkg can understand.
 .
 For details, see the manpage of type-handling.
